qpid::framing::ExchangeBoundResult Class Reference

Apache Qpid - AMQP Messaging for Java JMS, C++, Python, Ruby, and .NET | Apache Qpid Documentation

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Attributes | Friends
qpid::framing::ExchangeBoundResult Class Reference

`#include <qpid/framing/ExchangeBoundResult.h>`

List of all members.

## Public Member Functions
| ExchangeBoundResult (bool _exchangeNotFound, bool _queueNotFound, bool _queueNotMatched, bool _keyNotMatched, bool _argsNotMatched)
| ExchangeBoundResult ()
void | setExchangeNotFound (bool _exchangeNotFound)
bool | getExchangeNotFound () const
void | setQueueNotFound (bool _queueNotFound)
bool | getQueueNotFound () const
void | setQueueNotMatched (bool _queueNotMatched)
bool | getQueueNotMatched () const
void | setKeyNotMatched (bool _keyNotMatched)
bool | getKeyNotMatched () const
void | setArgsNotMatched (bool _argsNotMatched)
bool | getArgsNotMatched () const
void | encode (Buffer &) const
void | decode (Buffer &, uint32_t=0)
void | encodeStructBody (Buffer &) const
void | decodeStructBody (Buffer &, uint32_t=0)
uint32_t | encodedSize () const
uint32_t | bodySize () const
void | print (std::ostream &out) const
## Static Public Attributes
static const uint16_t | TYPE = 1794
## Friends
std::ostream & | operator<< (std::ostream &, const ExchangeBoundResult &)

## Constructor & Destructor Documentation

qpid::framing::ExchangeBoundResult::ExchangeBoundResult | ( | bool | _exchangeNotFound,
|  | bool | _queueNotFound,
|  | bool | _queueNotMatched,
|  | bool | _keyNotMatched,
|  | bool | _argsNotMatched
| ) |  | `[inline]`

Definition at line 42 of file ExchangeBoundResult.h.

qpid::framing::ExchangeBoundResult::ExchangeBoundResult | ( |  | ) | `[inline]`

Definition at line 55 of file ExchangeBoundResult.h.

## Member Function Documentation

uint32_t qpid::framing::ExchangeBoundResult::bodySize | ( |  | ) | const

void qpid::framing::ExchangeBoundResult::decode | ( | Buffer & | ,
|  | uint32_t | = `0`
| ) |  |

void qpid::framing::ExchangeBoundResult::decodeStructBody | ( | Buffer & | ,
|  | uint32_t | = `0`
| ) |  |

void qpid::framing::ExchangeBoundResult::encode | ( | Buffer & |  | ) | const

uint32_t qpid::framing::ExchangeBoundResult::encodedSize | ( |  | ) | const

void qpid::framing::ExchangeBoundResult::encodeStructBody | ( | Buffer & |  | ) | const

bool qpid::framing::ExchangeBoundResult::getArgsNotMatched | ( |  | ) | const

bool qpid::framing::ExchangeBoundResult::getExchangeNotFound | ( |  | ) | const

bool qpid::framing::ExchangeBoundResult::getKeyNotMatched | ( |  | ) | const

bool qpid::framing::ExchangeBoundResult::getQueueNotFound | ( |  | ) | const

bool qpid::framing::ExchangeBoundResult::getQueueNotMatched | ( |  | ) | const

void qpid::framing::ExchangeBoundResult::print | ( | std::ostream & | out | ) | const

void qpid::framing::ExchangeBoundResult::setArgsNotMatched | ( | bool | _argsNotMatched | ) |

void qpid::framing::ExchangeBoundResult::setExchangeNotFound | ( | bool | _exchangeNotFound | ) |

void qpid::framing::ExchangeBoundResult::setKeyNotMatched | ( | bool | _keyNotMatched | ) |

void qpid::framing::ExchangeBoundResult::setQueueNotFound | ( | bool | _queueNotFound | ) |

void qpid::framing::ExchangeBoundResult::setQueueNotMatched | ( | bool | _queueNotMatched | ) |

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | ,
|  | const ExchangeBoundResult & |
| ) |  | `[friend]`

## Member Data Documentation

const uint16_t qpid::framing::ExchangeBoundResult::TYPE = 1794`[static]`

Definition at line 41 of file ExchangeBoundResult.h.

The documentation for this class was generated from the following file:

- qpid/framing/ExchangeBoundResult.h